# Enum occupancy_policy

- Defined in File model.hpp

## Enum Documentation

enum class cif::mm::occupancy_policy

  Enumeration for controlling atom selection based on occupancy.

  Values:

  enumerator ALL

    Include all atoms regardless of their occupancy factor.

  enumerator MAX

    Select only alternate atoms with the maximum occupancy factor. If multiple atoms have the same maximum occupancy, choose the one with the minimum B-factor. If multiple atoms share both the maximum occupancy and the minimum B-factor, select the first encountered atom.

  enumerator MIN

    Select only alternate atoms with the minimum occupancy factor. Similar to MAX, if multiple atoms have the same minimum occupancy, choose the one with the minimum B-factor. If multiple atoms share both the minimum occupancy and the minimum B-factor, select the first encountered atom.

  enumerator UNOCCUPIED

    Exclude all atoms with an occupancy factor greater than zero.